Coin Historical Chart Data within Time Range by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/market_chart/range \
--header 'x-cg-pro-api-key: <api-key>'{
"prices": [
[
1779027899041,
77953.82550382407
],
[
1779028199661,
78052.87543398788
]
],
"market_caps": [
[
1779027899041,
1560631481361.8042
],
[
1779028199661,
1562027330524.267
]
],
"total_volumes": [
[
1779027899041,
18688431751.857048
],
[
1779028199661,
18974828816.446976
]
]
}Coin Charts
Coin Historical Chart Data within Time Range by ID
To get the historical chart data of a coin within certain time range in UNIX along with price, market cap and 24hrs volume based on particular coin ID
GET
/
coins
/
{id}
/
market_chart
/
range
Coin Historical Chart Data within Time Range by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/market_chart/range \
--header 'x-cg-pro-api-key: <api-key>'{
"prices": [
[
1779027899041,
77953.82550382407
],
[
1779028199661,
78052.87543398788
]
],
"market_caps": [
[
1779027899041,
1560631481361.8042
],
[
1779028199661,
1562027330524.267
]
],
"total_volumes": [
[
1779027899041,
18688431751.857048
],
[
1779028199661,
18974828816.446976
]
]
}Notes
- Find a coinβs API ID on its CoinGecko page, via Coins List, or this Google Sheet.
- Accepts ISO date strings (
YYYY-MM-DDorYYYY-MM-DDTHH:MM, recommended) or UNIX timestamps forfromandto. - Auto-granularity when
intervalis not specified:- 1 day from current time = 5-minutely data
- 1 day from any other time = hourly data
- 2β90 days = hourly data
- Above 90 days = daily data (00:00 UTC)
- Override with the
intervalparameter:daily: daily historical datahourly: hourly data, up to any 100 days per request5m: 5-minutely data, up to any 10 days per request (Enterprise only)
- Data availability:
5mfrom 9 Feb 2018,hourlyfrom 30 Jan 2018.
Cache / Update Frequency:
| Date Range | Cache |
|---|---|
| 1 day | 30 seconds |
| 2β90 days | 30 minutes |
| Above 90 days | 12 hours |
The last completed UTC day (00:00) is available 35 minutes after midnight (00:35 UTC). Cache expires at 00:40 UTC.
SDK Examples
const response = await client.coins.marketChart.getRange('bitcoin', {
vs_currency: 'usd',
from: '2025-01-01',
to: '2025-12-31',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Coin ID.
*refers to /coins/list.
Query Parameters
Target currency of market data.
*refers to /simple/supported_vs_currencies.
Starting date in ISO date string (YYYY-MM-DD or YYYY-MM-DDTHH:MM) or UNIX timestamp.
Use ISO date string for best compatibility.
Ending date in ISO date string (YYYY-MM-DD or YYYY-MM-DDTHH:MM) or UNIX timestamp.
Use ISO date string for best compatibility.
Data interval, leave empty for auto granularity.
Available options:
5m, hourly, daily Decimal place for currency price value.
Available options:
full, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 Response
200 - application/json
Coin historical chart data within time range
Was this page helpful?
βI

